

/**
 * This class handles a certificate list file.
 * It checks for the validity of that certificate
 * list file and provides an API for working with that
 * file.
 *
 * The List is parsed on Initialization. You should
 * check the Status afterwards to see if the file
 * could be parsed.
 *
 * The certificate list will be kept in memory until
 * this object is destroyed.
 *
 */

class QByteArray;

#include <QString>
#include <QDate>

class CertificateList
{
    Q_OBJECT

public:
    CertificateList(wchar_t* fileName);

    list_status_t getStatus();

private:
    QString mFileName;
    QByteArray *mFileContent;
    ListStatus mStatus;
    QDate mDate;
}

